summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2016-12-15 06:35:51 +0100
committerHans de Graaff <graaff@gentoo.org>2016-12-15 06:36:51 +0100
commit46505942adcb6b0ed239abdc9f4640a5f8015b78 (patch)
tree910a1319a8db2572def224367195c21ab23988e7 /dev-ruby/webmock
parentdev-ruby/addressable: add 2.5.0 (diff)
downloadgentoo-46505942adcb6b0ed239abdc9f4640a5f8015b78.tar.gz
gentoo-46505942adcb6b0ed239abdc9f4640a5f8015b78.tar.bz2
gentoo-46505942adcb6b0ed239abdc9f4640a5f8015b78.zip
dev-ruby/webmock: add 2.3.1
Package-Manager: portage-2.3.0
Diffstat (limited to 'dev-ruby/webmock')
-rw-r--r--dev-ruby/webmock/Manifest1
-rw-r--r--dev-ruby/webmock/webmock-2.3.1.ebuild61
2 files changed, 62 insertions, 0 deletions
diff --git a/dev-ruby/webmock/Manifest b/dev-ruby/webmock/Manifest
index 8242f4dc30e..2d9818b3065 100644
--- a/dev-ruby/webmock/Manifest
+++ b/dev-ruby/webmock/Manifest
@@ -1,3 +1,4 @@
DIST webmock-1.20.3.gem 99840 SHA256 c01692190af4a5f26f376bf5678af1ebaeb5ac6d6f43d7a388c84f13d1f01025 SHA512 db9d770636dabf95b3a03a6589a259c1d66d875dba0cbcd493acf6bb35649c885139528aa5a8976d7ef438bca761e1063ae0fcf1da5b799e8d45abf1986c000c WHIRLPOOL bb0c4007bdd8f32e7cc6e8311d349b54be4f9dff81a88e6ab3f2df949008fce7dbd0de4127a202ca2677e1e6875759b5b683136d15d24dbfcc26f8e8e2e9f8cd
DIST webmock-1.24.6.gem 111104 SHA256 c516e1b309697af303e647dc2f3c7222b13ef70c1c4c5afb61e64bd595c9740f SHA512 9319dcb3c29189403c79870dc8f91f27e099627a9fe5136a98193ee387a6dbcdf72eecb57ec4080faca9575461dfbf4ddecaaf5e1c75cfa60b08732a1d7248cc WHIRLPOOL b5962ed03bed0fce4f59c9275d58ca31a58ab3c14ac85532d78a88bfb0f2c3a06054d926ab2a72b48522cee19464672306c3f5e7c09d363e1e913dabb4b94c0a
DIST webmock-2.1.0.gem 111616 SHA256 e4ccb85d1483409533daf01f08b6af198cf8603fb2a71106207acb084f96cb58 SHA512 604318766d1a23e76c03e0f39bcdc28aa0a23cba14bd8b5a3b33894aa30ece1d5ac56456500143745a2751ddc7bd0424ef195c82b78d66b5e28e10d5059facfa WHIRLPOOL fd749dca7533e893c59f550e4bc7b96c7fada8674ff00d69b4f08946827ea95599209709bef40210a69e71612df52b11a265d4cf9eba0301343287cd27269164
+DIST webmock-2.3.1.gem 111616 SHA256 de4c7b571a858110a47fb471dc3964af08ceb73c4303df83a1a51df3a72041a0 SHA512 b51583a67da44a2aa0c616442f03d1066d9e9270b0cb0fbca48c30d06cef4c008c6fe29186951916afc2b8bccec92a510d34f7a537d4d6889b16e2ad779eb627 WHIRLPOOL 2c50f7b7e22d50624e7ca84aa5531d4a94a0aa77b0ebc7ca0d94f2d1343efcf7984c82eac38a7021da4a18de44284e76c8a4358ddb30a91026cdedd9bb0b3362
diff --git a/dev-ruby/webmock/webmock-2.3.1.ebuild b/dev-ruby/webmock/webmock-2.3.1.ebuild
new file mode 100644
index 00000000000..ed08c5573d8
--- /dev/null
+++ b/dev-ruby/webmock/webmock-2.3.1.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+USE_RUBY="ruby20 ruby21 ruby22 ruby23"
+
+RUBY_FAKEGEM_TASK_TEST="test spec NO_CONNECTION=true"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Allows stubbing HTTP requests and setting expectations on HTTP requests"
+HOMEPAGE="https://github.com/bblimke/webmock"
+
+LICENSE="GPL-2"
+SLOT="2"
+KEYWORDS="~amd64 ~arm ~ppc64 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
+IUSE=""
+
+ruby_add_rdepend ">=dev-ruby/addressable-2.3.6 >=dev-ruby/crack-0.3.2 dev-ruby/hashdiff"
+
+ruby_add_bdepend "test? (
+ dev-ruby/minitest:5
+ dev-ruby/rspec:3
+ >=dev-ruby/test-unit-3.0.0
+ dev-ruby/rack
+ >=dev-ruby/httpclient-2.8.0
+ >=dev-ruby/patron-0.4.18
+ >=dev-ruby/http-0.8.0:0.8 )"
+
+all_ruby_prepare() {
+ # Remove bundler support
+ rm Gemfile || die
+ sed -i -e '/[Bb]undler/d' Rakefile || die
+ sed -i -e '/simplecov/I s:^:#:' spec/spec_helper.rb || die
+ sed -i -e '1igem "test-unit"' test/test_helper.rb || die
+
+ # There is now optional support for curb and typhoeus which we don't
+ # have in Gentoo yet. em_http_request is available in Gentoo but its
+ # version is too old.
+ sed -i -e '/\(curb\|typhoeus\|em-http\)/d' spec/spec_helper.rb || die
+ rm spec/acceptance/{typhoeus,curb,excon,em_http_request}/* || die
+
+ # Avoid httpclient specs that require network access, most likely
+ # because mocking does not fully work.
+ sed -i -e '/httpclient streams response/,/^ end/ s:^:#:' \
+ -e '/are detected when manually specifying Authorization header/,/^ end/ s:^:#:' \
+ spec/acceptance/httpclient/httpclient_spec.rb
+}
+
+each_ruby_test() {
+ ${RUBY} -S rake test NO_CONNECTION=true || die
+ ${RUBY} -S rspec-3 spec || die
+
+ einfo "Delay to allow the test server to stop"
+ sleep 10
+}